org.multiverse.api.collections

## Interface TxnQueue<E>

Type Parameters:
  `E` -

All Superinterfaces:
  java.util.Collection<E>, java.lang.Iterable<E>, java.util.Queue<E>, TxnCollection<E>, TxnIterable<E>

All Known Subinterfaces:
  TxnDeque<E>

All Known Implementing Classes:
  NaiveTxnLinkedList

    public interface TxnQueue<E>
    extends TxnCollection<E>, java.util.Queue<E>

### Method Summary

Methods
`E` `element(Txn txn)`
`int` `getCapacity()`
`boolean` `offer(Txn tx, E item)`
`E` `peek(Txn txn)`
`E` `poll(Txn txn)`
`void` `put(E item)`
`void` `put(Txn txn, E item)`
`E` `remove(Txn txn)`
`E` `take()`
`E` `take(Txn txn)`

### Methods inherited from interface org.multiverse.api.collections.TxnCollection

`add, addAll, addAll, addAll, clear, contains, containsAll, getStm, isEmpty, remove, size, toString`

### Methods inherited from interface org.multiverse.api.collections.TxnIterable

`iterator, iterator`

### Methods inherited from interface java.util.Queue

`add, element, offer, peek, poll, remove`

### Methods inherited from interface java.util.Collection

`addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

### Method Detail

#### getCapacity

    int getCapacity()

#### remove

    E remove(Txn txn)

#### element

    E element(Txn txn)

#### offer

    boolean offer(Txn tx,
                E item)

#### put

    void put(E item)

#### put

    void put(Txn txn,
           E item)

#### take

    E take()

#### take

    E take(Txn txn)

#### poll

    E poll(Txn txn)

#### peek

    E peek(Txn txn)